# pydicom.charset.decode_element

pydicom.charset.decode_element(elem: DataElement, dicom_character_set: str | List[str] | None) → None

  Apply the DICOM character encoding to a data element

  Parameters:

    - elem (dataelem.DataElement) – The `DataElement` instance containing an encoded byte string value to decode.

    - dicom_character_set (str or list of str or None) – The value of (0008,0005) Specific Character Set, which may be a single value, a multiple value (code extension), or may also be `''` or `None`, in which case `'ISO_IR 6'` will be used.